Subject: Re: bug#37415: Asserting failure setting frame parameters to non-fixnum values in early-init.el

From: martin rudalics <[email-masked]>
Date: Mon, 23 Sep 2019 09:32:00 +0200

>>   >> I do hit it here.  Unless some sort of bug happens before.  For
 >>   >> example, when using (left . foo).
 >>   >
 >>   > But not with (left . (- 0)), right?
 >>
 >> With (left . (+ 0)) but maybe not with emacs -Q.  In the backtrace below
 >> note that it gets called from 'frame-notice-user-settings':
 >
 > I was asking about X, but the backtrace you show is from Windows.  Am
 > I missing something?

You asked

   . how come we don't hit this assertion when the same expression is
     in the init file, only in the early-init file?

and the dialogue continued as above.  So your question was clearly
about Windows because X cannot "hit this assertion".

martin